| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCallStackHelper Class Reference

Helper to create a call stack. More...

`#include <csutil/callstack.h>`

List of all members.

## Static Public Member Functions
static csCallStack * | CreateCallStack (int skip=0, bool fast=false)
| Create a call stack.

## Detailed Description

Helper to create a call stack.

Definition at line 100 of file callstack.h.

## Member Function Documentation

static csCallStack* csCallStackHelper::CreateCallStack | ( | int | skip = `0`,
|  | bool | fast = `false` |
| ) |  |  | `[static]`

Create a call stack.

Parameters:

  | skip | The number of calls on the top of the stack to remove from the returned call stack. This can be used if e.g. the call stack is created from some helper function and the helper function itself should not appear in the stack.
  | fast | Flag whether a fast call stack creation should be preferred (usually at the expense of retrieved information).

Returns:
  A call stack object.

Remarks:
  Free the returned object with its Free() method.

The documentation for this class was generated from the following file:

- csutil/callstack.h